declare module 'vite-plugin-blocklet';

declare module '@blocklet/sdk/service/notification';

declare module '@blocklet/sdk/service/blocklet';

declare module 'express-history-api-fallback';

declare module 'express-async-errors';

declare module 'morgan';

declare module 'flat';

declare module '@abtnode/cron';

declare module 'sql-where-parser';

declare module 'cls-hooked';

declare module 'express-xss-sanitizer';

namespace Express {
  interface Request {
    user?: {
      did: string;
      role: string;
      provider: string;
      fullName: string;
      walletOS: string;
      via?: string;
    };
    livemode?: boolean;
    locale: string;
    t: (key: string, ...args: any[]) => string;
    doc?: any;
    customer?: any;
    baseCurrency: any;
    stripeEvent?: any;
    stripeClient?: any;
  }
}

declare module 'pretty-ms-i18n';
declare module '@blocklet/sdk/service/eventbus';
